Loading...
Searching...
No Matches
pappso::masschroq::Precursor Class Reference

A Precursor object represents the parent/precursor of the MS level 2 scan with number _scan_num in the mzxml file. More...

`#include <precursor.h>`

## Public Member Functions

| Precursor (std::size_t spectrum_index, double mz, double intensity, pappso::XicCoordSPtr xic_coord)
virtual | ~Precursor ()
double | getIntensity () const
std::size_t | getSpectrumIndex () const
const pappso::XicCoordSPtr & | getXicCoordSPtr () const

## Private Attributes

std::size_t | m_spectrumIndex
| < MS level 2 scan number whome this Precursor is parent
double | m_intensity
| intensity of this precursor
double | m_mz
| selected m/z of this precursor
pappso::XicCoordSPtr | msp_xicCoord
| Xic coordinates.

## Detailed Description

A Precursor object represents the parent/precursor of the MS level 2 scan with number _scan_num in the mzxml file.

In mzxml files, MS scans of level 2 have each a precursor object representing their MS level 1 parent/precursor. A Precursor object has :

- a spectrum index
- a retention time value
- an intensity value
- an mz value
- Xic coordinates

Definition at line 55 of file precursor.h.

## Constructor & Destructor Documentation

## Precursor()

pappso::masschroq::Precursor::Precursor | ( | std::size_t | spectrum_index,
|  | double | mz,
|  | double | intensity,
|  | pappso::XicCoordSPtr | xic_coord )

Default constructor

Definition at line 33 of file precursor.cpp.

{
m_spectrumIndex = spectrum_index;
m_intensity = intensity;
m_mz = mz;
msp_xicCoord = xic_coord;
if(msp_xicCoord.get() == nullptr)
{
throw pappso::PappsoException(QObject::tr("xic_coord == nullptr\nindex=%1 %2 %3 %4")
.arg(spectrum_index)
.arg(__FILE__)
.arg(__FUNCTION__)
.arg(__LINE__));
}
}
pappso::masschroq::Precursor::msp_xicCoord
pappso::XicCoordSPtr msp_xicCoord
Xic coordinates.
Definition precursor.h:84
pappso::masschroq::Precursor::m_mz
double m_mz
selected m/z of this precursor
Definition precursor.h:82
pappso::masschroq::Precursor::m_intensity
double m_intensity
intensity of this precursor
Definition precursor.h:80
pappso::masschroq::Precursor::m_spectrumIndex
std::size_t m_spectrumIndex
< MS level 2 scan number whome this Precursor is parent
Definition precursor.h:78
pappso::Enums::PrecisionUnit::mz
@ mz
Definition types.h:101

References m_intensity, m_mz, m_spectrumIndex, and msp_xicCoord.

## ~Precursor()

pappso::masschroq::Precursor::~Precursor | ( |  | ) |

virtual

Destructor

Definition at line 54 of file precursor.cpp.

{
}

## Member Function Documentation

## getIntensity()

double pappso::masschroq::Precursor::getIntensity | ( |  | ) | const

Definition at line 59 of file precursor.cpp.

{
return m_intensity;
}

References m_intensity.

Referenced by pappso::masschroq::MsRunPeptideList::addPeptideScanNumberObservation(), and pappso::masschroq::MsRunPeptideList::addPeptideSpectrumIndexObservation().

## getSpectrumIndex()

std::size_t pappso::masschroq::Precursor::getSpectrumIndex | ( |  | ) | const

Definition at line 65 of file precursor.cpp.

{
return m_spectrumIndex;
}

References m_spectrumIndex.

## getXicCoordSPtr()

const pappso::XicCoordSPtr & pappso::masschroq::Precursor::getXicCoordSPtr | ( |  | ) | const

Definition at line 71 of file precursor.cpp.

{
return msp_xicCoord;
}

References msp_xicCoord.

Referenced by pappso::masschroq::MsRunPeptideList::addPeptideScanNumberObservation(), pappso::masschroq::MsRunPeptideList::addPeptideSpectrumIndexObservation(), pappso::masschroq::PrecursorParser::mapScanNumberPrecursor(), pappso::masschroq::PrecursorParser::mapSpectrumIndexToPrecursor(), and pappso::masschroq::PrecursorParser::setQualifiedMassSpectrum().

## Member Data Documentation

## m_intensity

double pappso::masschroq::Precursor::m_intensity

private

intensity of this precursor

Definition at line 80 of file precursor.h.

Referenced by Precursor(), and getIntensity().

## m_mz

double pappso::masschroq::Precursor::m_mz

private

selected m/z of this precursor

Definition at line 82 of file precursor.h.

Referenced by Precursor().

## m_spectrumIndex

std::size_t pappso::masschroq::Precursor::m_spectrumIndex

private

< MS level 2 scan number whome this Precursor is parent

Definition at line 78 of file precursor.h.

Referenced by Precursor(), and getSpectrumIndex().

## msp_xicCoord

pappso::XicCoordSPtr pappso::masschroq::Precursor::msp_xicCoord

private

Xic coordinates.

Definition at line 84 of file precursor.h.

Referenced by Precursor(), and getXicCoordSPtr().

The documentation for this class was generated from the following files:

- pappsomspp/core/masschroq/precursor.h
- pappsomspp/core/masschroq/precursor.cpp